Cómo resolver el error donde gem from git repository "no está desprotegido. Ejecute `package de installation`"

Me he estado arrancando los pelos por una semana tratando de hacer que un proyecto se ejecute localmente.

bundle install funciona bien, pero cuando ejecuto foreman start , aparece este error:

git: //github.com/ {repo_path} .git (en el maestro) no está desprotegido. Ejecute `package de installation`

He navegado por Stackoverflow y todavía no puedo hacer que esto funcione.

Sistema operativo: Lion Rails: 3.1.3 Ruby: 1.9.3-p0 Bundler: 1.0.21

¿Algunas ideas?

Asegúrese de que los processs de su capataz estén especificados para ejecutarse dentro del entorno del bundler actual. Línea de ejemplo en el file de process en la raíz de la aplicación:

 web: bundle exec thin start 

No hace falta decir que he pasado mucho time intentando todo para arreglar esto. Siguiendo TODOS los pasos de solución de problemas aquí, finalmente lo resolvió:

https://github.com/carlhuda/bundler/blob/master/ISSUES.md

¡Buena suerte!